From cbf689306d7612873fbef7cda8d06f6d4fded28f Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Mon, 19 Sep 2011 03:25:51 +0200
Subject: [PATCH 2/2] macosx: fixes pkg-config compilation issue

---
 bootstrap |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

diff --git a/bootstrap b/bootstrap
index 2f5ce73..a17fb78 100755
--- a/bootstrap
+++ b/bootstrap
@@ -25,6 +25,20 @@ ACLOCAL_ARGS="-I m4 ${ACLOCAL_ARGS}"
 CYGWIN=binmode
 export CYGWIN
 
+# Check for contrib directory
+if test -d extras/contrib/build/bin; then
+  PATH="`pwd`/extras/contrib/build/bin:$PATH"
+  if test -d extras/contrib/build/share/aclocal; then
+    ACLOCAL_ARGS="${ACLOCAL_ARGS} -I extras/contrib/build/share/aclocal"
+  fi
+  if test ".`uname -s`" = ".Darwin"; then
+    LD_LIBRARY_PATH=./extras/contrib/build/lib:$LD_LIBRARY_PATH
+    DYLD_LIBRARY_PATH=./extras/contrib/build/lib:$DYLD_LIBRARY_PATH
+    export LD_LIBRARY_PATH
+    export DYLD_LIBRARY_PATH
+  fi
+fi
+
 # Prepare m4/private.m4
 rm -f m4/private.m4 && cat > m4/private.m4 << EOF
 dnl  Private VLC macros - generated by bootstrap
@@ -60,20 +74,6 @@ Otherwise, you will not be able to build a source tarball.
 EOF
 fi
 
-# Check for contrib directory
-if test -d extras/contrib/build/bin; then
-  PATH="`pwd`/extras/contrib/build/bin:$PATH"
-  if test -d extras/contrib/build/share/aclocal; then
-    ACLOCAL_ARGS="${ACLOCAL_ARGS} -I extras/contrib/build/share/aclocal"
-  fi
-  if test ".`uname -s`" = ".Darwin"; then
-    LD_LIBRARY_PATH=./extras/contrib/build/lib:$LD_LIBRARY_PATH
-    DYLD_LIBRARY_PATH=./extras/contrib/build/lib:$DYLD_LIBRARY_PATH
-    export LD_LIBRARY_PATH
-    export DYLD_LIBRARY_PATH
-  fi
-fi
-
 ###
 ### Generate the modules makefile, by parsing modules/**/Modules.am
 ###
-- 
1.7.3.4

